Bug 302243

Summary: Switching back from vtty1 to KDE session results in crash.
Product: solid Reporter: rtdvrs
Component: generalAssignee: Alex Fiestas <afiestas>
Status: RESOLVED FIXED    
Severity: crash CC: adaptee, amantia
Priority: NOR    
Version: 4.8.4   
Target Milestone: 4.11   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 4.11

Description rtdvrs 2012-06-20 15:47:37 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.8.4 (4.8.4)
Qt Version: 4.8.2
Operating System: Linux 3.2.0-25-generic x86_64
Distribution: Ubuntu 12.04 LTS

-- Information about the crash:
- What I was doing when the application crashed:
Switched back from vtty1 to KDE session

There is no more information to provide.

-- Backtrace:
Application: Plasma Desktop Shell (kdeinit4), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f2153dda780 (LWP 26409))]

Thread 7 (Thread 0x7f212e26a700 (LWP 26415)):
#0  __pthread_mutex_unlock (mutex=0x1) at pthread_mutex_unlock.c:289
#1  0x00007f214dbcc5d1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f214db9083b in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f214db90f5b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f214db91164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f21528aa9f6 in QEventDispatcherGlib::processEvents (this=0x7f21200008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f215286bc20 in QEventLoop::processEvents (this=0x7f212e269d60, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f215286bdaa in QEventLoop::exec (this=0x7f212e269d60, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f21527382c7 in QThread::exec (this=0x2f3b220) at thread/qthread.cpp:501
#9  0x00007f2152846fe7 in QInotifyFileSystemWatcherEngine::run (this=0x2f3b220) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007f215273abf4 in QThreadPrivate::start (arg=0x2f3b220) at thread/qthread_unix.cpp:307
#11 0x00007f2152499e9a in start_thread (arg=0x7f212e26a700) at pthread_create.c:308
#12 0x00007f2150f174bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f21264d8700 (LWP 13877)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f215273c1eb in QWaitConditionPrivate::wait (this=0x2f6d610, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:86
#2  0x00007f215273bf95 in QWaitCondition::wait (this=0x3164508, mutex=0x2fd95f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f21458b9a1e in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x31644e0, th=0x436f0d0) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f21458bdd85 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x2fd8860, th=0x436f0d0) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0x00007f21458b999c in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x31644e0, th=0x436f0d0) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0x00007f21458bdd27 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2fd8860, th=0x436f0d0) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f21458b9963 in ThreadWeaver::WeaverImpl::applyForWork (this=0x31644e0, th=0x436f0d0, previous=0x56bd060) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0x00007f21458bb6ff in ThreadWeaver::ThreadRunHelper::run (this=0x7f21264d7dc0, parent=0x31644e0, th=0x436f0d0) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/Thread.cpp:87
#9  0x00007f21458bb9ae in ThreadWeaver::Thread::run (this=0x436f0d0) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/Thread.cpp:142
#10 0x00007f215273abf4 in QThreadPrivate::start (arg=0x436f0d0) at thread/qthread_unix.cpp:307
#11 0x00007f2152499e9a in start_thread (arg=0x7f21264d8700) at pthread_create.c:308
#12 0x00007f2150f174bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f210e1a9700 (LWP 13878)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f215273c1eb in QWaitConditionPrivate::wait (this=0x2f6d610, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:86
#2  0x00007f215273bf95 in QWaitCondition::wait (this=0x3164508, mutex=0x2fd95f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f21458b9a1e in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x31644e0, th=0x47e7920) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f21458bdd85 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x2fd8860, th=0x47e7920) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0x00007f21458b999c in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x31644e0, th=0x47e7920) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0x00007f21458bdd27 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2fd8860, th=0x47e7920) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f21458b9963 in ThreadWeaver::WeaverImpl::applyForWork (this=0x31644e0, th=0x47e7920, previous=0x2e86c30) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0x00007f21458bb6ff in ThreadWeaver::ThreadRunHelper::run (this=0x7f210e1a8dc0, parent=0x31644e0, th=0x47e7920) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/Thread.cpp:87
#9  0x00007f21458bb9ae in ThreadWeaver::Thread::run (this=0x47e7920) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/Thread.cpp:142
#10 0x00007f215273abf4 in QThreadPrivate::start (arg=0x47e7920) at thread/qthread_unix.cpp:307
#11 0x00007f2152499e9a in start_thread (arg=0x7f210e1a9700) at pthread_create.c:308
#12 0x00007f2150f174bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f210d9a8700 (LWP 13879)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f215273c1eb in QWaitConditionPrivate::wait (this=0x2f6d610, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:86
#2  0x00007f215273bf95 in QWaitCondition::wait (this=0x3164508, mutex=0x2fd95f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f21458b9a1e in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x31644e0, th=0x50e7850) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f21458bdd85 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x2fd8860, th=0x50e7850) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0x00007f21458b999c in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x31644e0, th=0x50e7850) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0x00007f21458bdd27 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2fd8860, th=0x50e7850) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f21458b9963 in ThreadWeaver::WeaverImpl::applyForWork (this=0x31644e0, th=0x50e7850, previous=0x4aa5cc0) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0x00007f21458bb6ff in ThreadWeaver::ThreadRunHelper::run (this=0x7f210d9a7dc0, parent=0x31644e0, th=0x50e7850) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/Thread.cpp:87
#9  0x00007f21458bb9ae in ThreadWeaver::Thread::run (this=0x50e7850) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/Thread.cpp:142
#10 0x00007f215273abf4 in QThreadPrivate::start (arg=0x50e7850) at thread/qthread_unix.cpp:307
#11 0x00007f2152499e9a in start_thread (arg=0x7f210d9a8700) at pthread_create.c:308
#12 0x00007f2150f174bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f2107fff700 (LWP 13880)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f215273c1eb in QWaitConditionPrivate::wait (this=0x2f6d610, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:86
#2  0x00007f215273bf95 in QWaitCondition::wait (this=0x3164508, mutex=0x2fd95f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f21458b9a1e in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x31644e0, th=0x3f4cb90) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f21458bdd85 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x2fd8860, th=0x3f4cb90) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0x00007f21458b999c in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x31644e0, th=0x3f4cb90) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0x00007f21458bdd27 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2fd8860, th=0x3f4cb90) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f21458b9963 in ThreadWeaver::WeaverImpl::applyForWork (this=0x31644e0, th=0x3f4cb90, previous=0x485d150) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0x00007f21458bb6ff in ThreadWeaver::ThreadRunHelper::run (this=0x7f2107ffedc0, parent=0x31644e0, th=0x3f4cb90) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/Thread.cpp:87
#9  0x00007f21458bb9ae in ThreadWeaver::Thread::run (this=0x3f4cb90) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/Thread.cpp:142
#10 0x00007f215273abf4 in QThreadPrivate::start (arg=0x3f4cb90) at thread/qthread_unix.cpp:307
#11 0x00007f2152499e9a in start_thread (arg=0x7f2107fff700) at pthread_create.c:308
#12 0x00007f2150f174bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f21077fe700 (LWP 13881)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f215273c1eb in QWaitConditionPrivate::wait (this=0x2f6d610, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:86
#2  0x00007f215273bf95 in QWaitCondition::wait (this=0x3164508, mutex=0x2fd95f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f21458b9a1e in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x31644e0, th=0x4b67f00) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f21458bdd85 in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x2fd8860, th=0x4b67f00) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0x00007f21458b999c in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x31644e0, th=0x4b67f00) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0x00007f21458bdd27 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2fd8860, th=0x4b67f00) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007f21458b9963 in ThreadWeaver::WeaverImpl::applyForWork (this=0x31644e0, th=0x4b67f00, previous=0x0) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0x00007f21458bb6ff in ThreadWeaver::ThreadRunHelper::run (this=0x7f21077fddc0, parent=0x31644e0, th=0x4b67f00) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/Thread.cpp:87
#9  0x00007f21458bb9ae in ThreadWeaver::Thread::run (this=0x4b67f00) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/threadweaver/Weaver/Thread.cpp:142
#10 0x00007f215273abf4 in QThreadPrivate::start (arg=0x4b67f00) at thread/qthread_unix.cpp:307
#11 0x00007f2152499e9a in start_thread (arg=0x7f21077fe700) at pthread_create.c:308
#12 0x00007f2150f174bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f2153dda780 (LWP 26409)):
[KCrash Handler]
#6  0x00007f2150e5b445 in __GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f2150e5ebab in __GI_abort () at abort.c:91
#8  0x00007f215272da67 in qt_message_output (msgType=QtFatalMsg, buf=0x3beb618 "ASSERT: \"dev->backendObject()!=0\" in file /build/buildd/project-neon-kdelibs-2+git20120616+r92785/solid/solid/devicemanager.cpp, line 201") at global/qglobal.cpp:2264
#9  0x00007f215272dbfd in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=QtFatalMsg, msg=0x7f21528f1de8 "ASSERT: \"%s\" in file %s, line %d", ap=0x7fff40522cf8) at global/qglobal.cpp:2310
#10 0x00007f215272e38d in qFatal (msg=0x7f21528f1de8 "ASSERT: \"%s\" in file %s, line %d") at global/qglobal.cpp:2493
#11 0x00007f215272d62c in qt_assert (assertion=0x7f214aca5b91 "dev->backendObject()!=0", file=0x7f214aca58e0 "/build/buildd/project-neon-kdelibs-2+git20120616+r92785/solid/solid/devicemanager.cpp", line=201) at global/qglobal.cpp:2011
#12 0x00007f214ac2c348 in Solid::DeviceManagerPrivate::_k_deviceRemoved (this=0x2f307d0, udi=...) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/solid/solid/devicemanager.cpp:201
#13 0x00007f214ac2cb2a in Solid::DeviceManagerPrivate::qt_static_metacall (_o=0x2f307d0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7fff40522f80) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/obj-x86_64-linux-gnu/solid/solid/devicemanager_p.moc:55
#14 0x00007f215288cbdc in QMetaObject::activate (sender=0x2f31570, m=0x7f214aeee760, local_signal_index=1, argv=0x7fff40522f80) at kernel/qobject.cpp:3547
#15 0x00007f214ac4745f in Solid::Ifaces::DeviceManager::deviceRemoved (this=0x2f31570, _t1=...) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/obj-x86_64-linux-gnu/solid/solid/ifaces/devicemanager.moc:108
#16 0x00007f214ac60797 in Solid::Backends::UDev::UDevManager::slotDeviceRemoved (this=0x2f31570, device=...) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/solid/solid/backends/udev/udevmanager.cpp:208
#17 0x00007f214ac26c17 in Solid::Backends::UDev::UDevManager::qt_static_metacall (_o=0x2f31570, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7fff40523160) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/obj-x86_64-linux-gnu/solid/solid/moc_udevmanager.cpp:53
#18 0x00007f215288cbdc in QMetaObject::activate (sender=0x2f576d0, m=0x7f214aef5b00, local_signal_index=1, argv=0x7fff40523160) at kernel/qobject.cpp:3547
#19 0x00007f214ac6a6f5 in UdevQt::Client::deviceRemoved (this=0x2f576d0, _t1=...) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/obj-x86_64-linux-gnu/solid/solid/udevqt.moc:153
#20 0x00007f214ac699ec in UdevQt::ClientPrivate::_uq_monitorReadyRead (this=0x2f30500, fd=16) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/solid/solid/backends/shared/udevqtclient.cpp:107
#21 0x00007f214ac6a497 in UdevQt::Client::qt_static_metacall (_o=0x2f576d0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7fff40523320) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/obj-x86_64-linux-gnu/solid/solid/udevqt.moc:70
#22 0x00007f215288cbdc in QMetaObject::activate (sender=0x2f30910, m=0x7f2152c1e8e0, local_signal_index=0, argv=0x7fff40523320) at kernel/qobject.cpp:3547
#23 0x00007f21528edb34 in QSocketNotifier::activated (this=0x2f30910, _t1=16) at .moc/debug-shared/moc_qsocketnotifier.cpp:103
#24 0x00007f2152895aac in QSocketNotifier::event (this=0x2f30910, e=0x7fff40523b30) at kernel/qsocketnotifier.cpp:317
#25 0x00007f21516e3966 in QApplicationPrivate::notify_helper (this=0x260f560, receiver=0x2f30910, e=0x7fff40523b30) at kernel/qapplication.cpp:4551
#26 0x00007f21516e0f84 in QApplication::notify (this=0x2601ef0, receiver=0x2f30910, e=0x7fff40523b30) at kernel/qapplication.cpp:3933
#27 0x00007f21536feb3f in KApplication::notify (this=0x2601ef0, receiver=0x2f30910, event=0x7fff40523b30) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/kdeui/kernel/kapplication.cpp:311
#28 0x00007f215286e6e6 in QCoreApplication::notifyInternal (this=0x2601ef0, receiver=0x2f30910, event=0x7fff40523b30) at kernel/qcoreapplication.cpp:915
#29 0x00007f2152872259 in QCoreApplication::sendEvent (receiver=0x2f30910, event=0x7fff40523b30) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#30 0x00007f21528a9c43 in socketNotifierSourceDispatch (source=0x260f760) at kernel/qeventdispatcher_glib.cpp:110
#31 0x00007f214db90d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007f214db910a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#33 0x00007f214db91164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#34 0x00007f21528aa9d3 in QEventDispatcherGlib::processEvents (this=0x260fef0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#35 0x00007f21517bc388 in QGuiEventDispatcherGlib::processEvents (this=0x260fef0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#36 0x00007f215286bc20 in QEventLoop::processEvents (this=0x7fff40523e00, flags=...) at kernel/qeventloop.cpp:149
#37 0x00007f215286bdaa in QEventLoop::exec (this=0x7fff40523e00, flags=...) at kernel/qeventloop.cpp:204
#38 0x00007f215286ed66 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#39 0x00007f21516e0b6e in QApplication::exec () at kernel/qapplication.cpp:3812
#40 0x00007f214074d6b7 in kdemain (argc=1, argv=0x25a0000) at /build/buildd/project-neon-kde-workspace-2+git20120616+r46870/plasma/desktop/shell/main.cpp:120
#41 0x0000000000406d9f in launch (argc=1, _name=0x25ad638 "/opt/project-neon/bin/plasma-desktop", args=0x25ad65d "", cwd=0x0, envc=0, envs=0x25ad665 "", reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x40d357 "0") at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/kinit/kinit.cpp:734
#42 0x0000000000407f71 in handle_launcher_request (sock=8, who=0x40d5f4 "launcher") at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/kinit/kinit.cpp:1226
#43 0x0000000000408887 in handle_requests (waitForPid=0) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/kinit/kinit.cpp:1419
#44 0x000000000040a348 in main (argc=4, argv=0x7fff40524c08, envp=0x7fff40524c30) at /build/buildd/project-neon-kdelibs-2+git20120616+r92785/kinit/kinit.cpp:1907

Possible duplicates by query: bug 298008, bug 298006, bug 298005, bug 297943, bug 291961.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2012-06-21 14:44:30 UTC
Well, you certainly did something in TTY1 that caused this, like changing to a static IP or some such? This looks very much like a duplicate of bug 298008
Comment 2 rtdvrs 2012-06-21 19:44:35 UTC
I did no such thing. If you cannot debug it like this add more debugging info.
Comment 3 Alex Fiestas 2013-02-24 14:13:51 UTC
Hi, Can you still reproduce this issue? if so, can you provide the following info?

1-solid-hardware list
2-solid-hardware listen
3-switch to tty and make things crash
4-attach all the outputs :p

Thanks !
Comment 4 Alex Fiestas 2013-07-30 21:08:30 UTC
*** Bug 251356 has been marked as a duplicate of this bug. ***
Comment 5 Alex Fiestas 2013-07-30 21:53:57 UTC
Git commit 75050f6a4dcde0949bbd38d73b6bee44f4d65784 by Àlex Fiestas.
Committed on 30/07/2013 at 21:44.
Pushed by afiestas into branch 'master'.

Always return an object if the device was of interest when added

Finally this nasty gets fixed, problem is easy:
-Udev calls deviceAdded
-We emit deviceAdded
-Device becomes invalid (in udev)
-UdevManager::createDevice is called, returns 0
-deviceRemoved is emit
-Q_ASSERT explodes because we returned 0.

This patch basically ensures that if the device was of interest when
deviceAdded was called a UdevDevice object is always returned even if
the device is dummy. That's the best we can do.
FIXED-IN: 4.11

M  +27   -6    solid/solid/backends/udev/udevmanager.cpp

http://commits.kde.org/kdelibs/75050f6a4dcde0949bbd38d73b6bee44f4d65784
Comment 6 Alex Fiestas 2013-08-05 13:32:15 UTC
Git commit c9495ee712035937ed874d76217a7e4f1fc2b3c6 by Àlex Fiestas.
Committed on 30/07/2013 at 21:44.
Pushed by afiestas into branch 'KDE/4.11'.

Always return an object if the device was of interest when added

Finally this nasty gets fixed, problem is easy:
-Udev calls deviceAdded
-We emit deviceAdded
-Device becomes invalid (in udev)
-UdevManager::createDevice is called, returns 0
-deviceRemoved is emit
-Q_ASSERT explodes because we returned 0.

This patch basically ensures that if the device was of interest when
deviceAdded was called a UdevDevice object is always returned even if
the device is dummy. That's the best we can do.
FIXED-IN: 4.11
(cherry picked from commit 75050f6a4dcde0949bbd38d73b6bee44f4d65784)

M  +27   -6    solid/solid/backends/udev/udevmanager.cpp

http://commits.kde.org/kdelibs/c9495ee712035937ed874d76217a7e4f1fc2b3c6